---
apiVersion: v1
kind: Service
metadata:
  name: ${service_name}
  namespace: ${namespace_name}
  labels:
    owner: xds-k8s-interop-test
  annotations:
    cloud.google.com/neg: '{"exposed_ports": {"${test_port}":{"name":"${neg_name}"}}}'
spec:
  type: ClusterIP
  selector:
    app: ${deployment_name}
  ports:
  - port: ${test_port}
    protocol: TCP
    targetPort: ${test_port}
...
